Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.btree
Class Paged.FileHeader

    java.lang.Object
      com.dbxml.db.common.btree.Paged.FileHeader

Enclosing class:
  Paged

public abstract class Paged.FileHeader
extends java.lang.Object

FileHeader

Constructor Summary
`Paged.FileHeader()`
`Paged.FileHeader(boolean read)`
`Paged.FileHeader(long pageCount)`
`Paged.FileHeader(long pageCount, int pageSize)`

Method Summary
`void` | `decRecordCount()` Decrement the number of records being managed by the file
`long` | `getFirstFreePage()` The first free page in unused secondary space
`short` | `getHeaderSize()` The size of the FileHeader.
`long` | `getLastFreePage()` The last free page in unused secondary space
`long` | `getPageCount()` The number of pages in primary storage
`byte` | `getPageHeaderSize()` The size of a page header.
`int` | `getPageSize()` The size of a page.
`long` | `getRecordCount()` The number of records being managed by the file (not pages)
`long` | `getTotalCount()` The number of total pages in the file
`int` | `getWorkSize()`
`void` | `incRecordCount()` Increment the number of records being managed by the file
`boolean` | `isDirty()`
`void` | `read()`
`void` | `read(java.io.RandomAccessFile raf)`
`void` | `setDirty()`
`void` | `setFirstFreePage(long firstFreePage)` The first free page in unused secondary space
`void` | `setHeaderSize(short headerSize)` The size of the FileHeader.
`void` | `setLastFreePage(long lastFreePage)` The last free page in unused secondary space
`void` | `setPageCount(long pageCount)` The number of pages in primary storage
`void` | `setPageHeaderSize(byte pageHeaderSize)` The size of a page header.
`void` | `setPageSize(int pageSize)` The size of a page.
`void` | `setRecordCount(long recordCount)` The number of records being managed by the file (not pages)
`void` | `setTotalCount(long totalCount)` The number of total pages in the file
`void` | `write()`
`void` | `write(java.io.RandomAccessFile raf)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paged.FileHeader

    public Paged.FileHeader()

### Paged.FileHeader

    public Paged.FileHeader(long pageCount)

### Paged.FileHeader

    public Paged.FileHeader(long pageCount,
                            int pageSize)

### Paged.FileHeader

    public Paged.FileHeader(boolean read)
                     throws java.io.IOException

Method Detail

### read

    public final void read()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public void read(java.io.RandomAccessFile raf)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public final void write()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.io.RandomAccessFile raf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setDirty

    public final void setDirty()

### isDirty

    public final boolean isDirty()

### setHeaderSize

    public final void setHeaderSize(short headerSize)

  The size of the FileHeader. Usually 1 OS Page

  Parameters:
    `headerSize` - The size of the FileHeader

### getHeaderSize

    public final short getHeaderSize()

  The size of the FileHeader. Usually 1 OS Page

  Returns:
    The size of the FileHeader

### setPageSize

    public final void setPageSize(int pageSize)

  The size of a page. Usually a multiple of a FS block

  Parameters:
    `pageSize` - The size of a page

### getPageSize

    public final int getPageSize()

  The size of a page. Usually a multiple of a FS block

  Returns:
    The size of a page

### setPageCount

    public final void setPageCount(long pageCount)

  The number of pages in primary storage

  Parameters:
    `pageCount` - The number of pages

### getPageCount

    public final long getPageCount()

  The number of pages in primary storage

  Returns:
    The number of pages

### setTotalCount

    public final void setTotalCount(long totalCount)

  The number of total pages in the file

  Parameters:
    `totalCount` - The number of total pages

### getTotalCount

    public final long getTotalCount()

  The number of total pages in the file

  Returns:
    The number of total pages

### setFirstFreePage

    public final void setFirstFreePage(long firstFreePage)

  The first free page in unused secondary space

  Parameters:
    `firstFreePage` - The first free page

### getFirstFreePage

    public final long getFirstFreePage()

  The first free page in unused secondary space

  Returns:
    The first free page

### setLastFreePage

    public final void setLastFreePage(long lastFreePage)

  The last free page in unused secondary space

  Parameters:
    `lastFreePage` - The last free page

### getLastFreePage

    public final long getLastFreePage()

  The last free page in unused secondary space

  Returns:
    The last free page

### setPageHeaderSize

    public final void setPageHeaderSize(byte pageHeaderSize)

  The size of a page header. The value 64 is sufficient.

  Parameters:
    `pageHeaderSize` - The size of the page header

### getPageHeaderSize

    public final byte getPageHeaderSize()

  The size of a page header. The value 64 is sufficient.

  Returns:
    The size of the page header

### setRecordCount

    public final void setRecordCount(long recordCount)

  The number of records being managed by the file (not pages)

  Parameters:
    `recordCount` - The record count

### incRecordCount

    public final void incRecordCount()

  Increment the number of records being managed by the file

### decRecordCount

    public final void decRecordCount()

  Decrement the number of records being managed by the file

### getRecordCount

    public final long getRecordCount()

  The number of records being managed by the file (not pages)

  Returns:
    The record count

### getWorkSize

    public final int getWorkSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group